#include "Window.h"

namespace Visibility {

	class DesktopName {
	public:
		DesktopName(::Window parent, std::string name);
		~DesktopName();
		void reconfigure(void);
		void set_active(bool active);

		// returns the size of the window
		void get_size(unsigned& width, unsigned& height);

		// certain members of society will shoot me for this, but screw them :P
		std::tr1::shared_ptr<Window> window;

	protected:
		std::tr1::shared_ptr<Pixmap> active;
		std::tr1::shared_ptr<Pixmap> inactive;
		std::string name;

		bool is_active;

		void fill_pixmaps(void);

		unsigned width, height;
	};

}
